GrailsModelResolver (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.support

## [Groovy] Class GrailsModelResolver

- org.codehaus.groovy.grails.resolve.maven.aether.support.GrailsModelResolver

- All Implemented Interfaces and Traits:
    org.apache.maven.model.resolution.ModelResolver

      @groovy.transform.CompileStatic
      class GrailsModelResolver

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsModelResolver (org.eclipse.aether.RepositorySystem system, org.eclipse.aether.RepositorySystemSession session, java.util.List<org.eclipse.aether.repository.RemoteRepository> repositories)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addRepository(org.apache.maven.model.Repository repository)`
    `org.apache.maven.model.resolution.ModelResolver` | `newCopy()`
    `org.apache.maven.model.building.ModelSource` | `resolveModel(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GrailsModelResolver(org.eclipse.aether.RepositorySystem system, org.eclipse.aether.RepositorySystemSession session, java.util.List<org.eclipse.aether.repository.RemoteRepository> repositories)

  - ### Method Detail

    - #### @java.lang.Override void addRepository(org.apache.maven.model.Repository repository)

    - #### @java.lang.Override org.apache.maven.model.resolution.ModelResolver newCopy()

    - #### @java.lang.Override org.apache.maven.model.building.ModelSource resolveModel(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)